# Class TileMetricsUtil

java.lang.Object
picard.illumina.parser.TileMetricsUtil

public class TileMetricsUtil extends Object
Utility for reading the tile data from an Illumina run directory's TileMetricsOut.bin file

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`INTEROP_SUBDIRECTORY_NAME`
The path to the directory containing the tile metrics file relative to the basecalling directory.
`static String`
`TILE_METRICS_OUT_FILE_NAME`
The expected name of the tile metrics output file.

## Constructor Summary

Constructors
Constructor
Description
`TileMetricsUtil()`

## Method Summary

Modifier and Type
Method
Description
`static List<File>`
`findTileMetricsFiles(File illuminaRunDirectory, int numCycles)`
Finds all of the tile metrics files for a given run directory and cycle count.
`static Collection<Tile>`
`parseClusterRecordsFromTileMetrics(Collection<File> tileMetricsOutFiles, Map<Integer,File> phasingMetricsFiles, ReadStructure readStructure)`
`static Collection<Tile>`
`parseTileMetrics(File tileMetricsOutFile, ReadStructure readStructure, htsjdk.samtools.ValidationStringency validationStringency)`
Returns an unmodifiable collection of tile data read from the provided file.
`static Map<Integer,File>`
`renderPhasingMetricsFilesFromBasecallingDirectory(File illuminaRunDirectory)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INTEROP_SUBDIRECTORY_NAME

public static String INTEROP_SUBDIRECTORY_NAME
The path to the directory containing the tile metrics file relative to the basecalling directory.

### TILE_METRICS_OUT_FILE_NAME

public static String TILE_METRICS_OUT_FILE_NAME
The expected name of the tile metrics output file.

## Constructor Details

### TileMetricsUtil

public TileMetricsUtil()

## Method Details

### findTileMetricsFiles

public static List<File> findTileMetricsFiles(File illuminaRunDirectory, int numCycles)
Finds all of the tile metrics files for a given run directory and cycle count.

Parameters:
  `illuminaRunDirectory` - The run directory
  `numCycles` - The number of cycle directories to check.
Returns:
  A list of all tile metrics files.

### parseClusterRecordsFromTileMetrics

public static Collection<Tile> parseClusterRecordsFromTileMetrics(Collection<File> tileMetricsOutFiles, Map<Integer,File> phasingMetricsFiles, ReadStructure readStructure)

### parseTileMetrics

public static Collection<Tile> parseTileMetrics(File tileMetricsOutFile, ReadStructure readStructure, htsjdk.samtools.ValidationStringency validationStringency)
Returns an unmodifiable collection of tile data read from the provided file. For each tile we will extract: - lane number - tile number - density - cluster ID - Phasing invalid input: '&' Prephasing for first template read (if available) - Phasing invalid input: '&' Prephasing for second template read (if available)

### renderPhasingMetricsFilesFromBasecallingDirectory

public static Map<Integer,File> renderPhasingMetricsFilesFromBasecallingDirectory(File illuminaRunDirectory)